Update Agent Profile Pool
curl --request PATCH \
--url https://odyssey.asteroid.ai/agents/v2/agent-profile-pools/{poolId} \
--header 'Content-Type: application/json' \
--header 'X-Asteroid-Agents-Api-Key: <api-key>' \
--data '
{
"allowConcurrentUse": true,
"name": "<string>"
}
'{
"allowConcurrentUse": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}Update Agent Profile Pool
Update an existing agent profile pool
PATCH
/
agent-profile-pools
/
{poolId}
Update Agent Profile Pool
curl --request PATCH \
--url https://odyssey.asteroid.ai/agents/v2/agent-profile-pools/{poolId} \
--header 'Content-Type: application/json' \
--header 'X-Asteroid-Agents-Api-Key: <api-key>' \
--data '
{
"allowConcurrentUse": true,
"name": "<string>"
}
'{
"allowConcurrentUse": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.asteroid.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
The ID of the agent profile pool
Body
application/json
Fields to update
Request to update an existing agent profile pool
Response
The request has succeeded.
A pool of agent profiles that can be used for credential rotation
Whether multiple executions can use the same profile concurrently
When the pool was created
Unique identifier for the agent profile pool
Name of the agent profile pool (unique within organization)
The ID of the organization that owns this pool
Strategy for selecting an available profile from the pool
Available options:
least_recently_used, most_recently_used When the pool was last updated
⌘I

